<template>
  <div class="md-layout md-alignment-top-center">
    <md-card class="md-layout-item md-size-33 md-small-size-50 md-xsmall-size-100">
      <md-card-header>
        <div class="md-title">DevoxxFR 2021</div>
      </md-card-header>

      <md-card-content>
        <h3 v-if="loggedIn">Hello {{name}}</h3>
        <h3 v-if="!loggedIn">You are not Logged in.</h3>
      </md-card-content>

      <md-card-actions>
        <md-button>
          <router-link to="/login">Login</router-link>
        </md-button>
        <md-button>
          <router-link to="/register">Register</router-link>
        </md-button>
      </md-card-actions>
    </md-card>
  </div>
</template>

<script>
import { store } from "../store";

export default {
  name: "Home",
  computed: {
    loggedIn() {
      return store.loggedIn;
    },
    name() {
      return store.name;
    }
  },
  async mounted () {
    await fetch(
        process.env.VUE_APP_API + "/health"
      ).then(response => response.json());
  },
  methods: {}
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.md-layout {
  padding-top: 50px;
}
</style>
